## org.eclipse.m2m.atl.engine.asm
Class ASMTextualWriter

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.ASMWriter
          org.eclipse.m2m.atl.engine.asm.ASMTextualWriter

    public class ASMTextualWriter

extends ASMWriter

Textual ATL VM bytecode serializer. There is no corresponding reader, but the resulting text makes it is easier to debug ATL compiler in some cases.

Constructor Summary
`ASMTextualWriter(java.io.PrintWriter out)` Creates a new `ASMTextualWriter` with the given `PrintWriter`.

Method Summary
`void` `print(ASM asm)`

Methods inherited from class org.eclipse.m2m.atl.engine.asm.ASMWriter
`getConstantPool, getCPIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMTextualWriter

    public ASMTextualWriter(java.io.PrintWriter out)

  Creates a new `ASMTextualWriter` with the given `PrintWriter`.

  Parameters:
    `out` - the given `PrintWriter`

Method Detail

### print

    public void print(ASM asm)

  Specified by:
    `print` in class `ASMWriter`
  See Also:
    `ASMWriter.print(org.eclipse.m2m.atl.engine.asm.ASM)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.